{% extends "app/invoices.html" %}

{% block itLoad_invoices %}

    {% load staticfiles %}
    <link rel="stylesheet" type="text/css" href="{% static 'app/content/bootstrap-table.min.css' %}" />

    {% if actor == None %}
    <h3>You have not been mapped to a known Market Actor. Please contact the Marketplace administrator.</h3>
    {% else %}
    {% ifnotequal request.session.actor.marketActorTypeid.type "market operator" %}
    <h3>Invoices of {{request.session.actor.representativeName}}</h3>
    {% else %}
        <h3>Invoices IT Load Overview</h3>
    {% endifnotequal %}
    <table id="invoices_table"
        data-toggle="table"
        class="table"
        data-pagination="true"
        data-search="true"
        data-page-list="[10, 25, 50, 100, ALL]"
        data-sort-name="id"
        data-sort-order="desc"
        data-click-to-select="false"
        data-single-select="false"
        data-show-export="true"
        data-classes="table table-hover">
        <thead>
            <tr>
                <th data-field="id"  class="th th-inner" data-sortable="true" data-visible="true" >ID</th>
{#                {% if username == "admin" %}#}
{#                <th data-field="participant" class="th th-inner" data-sortable="true" data-visible="true" data-align="center">Participant</th>#}
{#                {% endif %}#}
                <th class="th th-inner" data-sortable="true" data-field="market_actor_id" data-formatter="setMarketActorFormatter" data-visible="true">
                        Participant
                 </th>
                <th data-field="date" class="th th-inner" data-sortable="true" data-visible="true" data-align="center">Date</th>
                <th data-field="action_id" class="th th-inner" data-sortable="true" data-visible="true" data-align="center" data-formatter="setActionFormatter">Action</th>
                <th class="th th-inner" data-sortable="true" data-field="marketSession" data-formatter="setMarketSessionFormatter" data-visible="true">Market session</th>
                <th data-field="type" class="th th-inner" data-sortable="true"  data-formatter="setTypeFormatter" data-visible="true" data-align="center">Type</th>
                <th data-field="actionStartTime" class="th th-inner" data-sortable="true" data-visible="true" data-align="center">Start Time</th>
                <th data-field="actionEndTime" class="th th-inner" data-sortable="true" data-visible="true" data-align="center">End Time</th>
{#                <th data-field="exchanged_value" class="th th-inner" data-sortable="true" data-visible="true" data-align="center" data-formatter="setValueFormatter">Amount (&#8364;)</th>#}
{#                <th data-field="fee" class="th th-inner" data-sortable="true" data-visible="true" data-align="center" data-formatter="setPriceFormatter">Fee (&#8364;)</th>#}
{#                <th data-field="penalty" class="th th-inner" data-sortable="true" data-visible="true" data-align="center" data-formatter="setPriceFormatter">Penalty (&#8364;)</th>#}
                <th data-field="total" class="th th-inner" data-sortable="true" data-visible="true" data-align="center" data-formatter="setPriceFormatter">Total (&#8364;)</th>
            </tr>
        </thead>
    </table>

    {% endif %}
{% endblock %}


{% block scripts %}
    <script type="text/javascript"> var token = "{{ token }}";
    </script>>
    <script type="text/javascript" src="{% static 'app/scripts/bootstrap-table.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/bootstrap-table/extensions/export/bootstrap-table-export.min.js' %}" ></script>
    <script type="text/javascript" src="{% static 'app/scripts/bootstrap-table/extensions/export/tableExport.js' %}" ></script>
    <script type="text/javascript" src="{% static 'app/scripts/cookies.js' %}" ></script>
    <script type="text/javascript" src="{% static 'app/scripts/moment.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/invoices/main.js'%}" ></script>
    <script type="text/javascript" src="{% static 'app/scripts/utilities.js' %}" ></script>
    <script type="text/javascript" src="{% static 'app/scripts/links/displayMarketActorDetails.js' %}" ></script>
    <script type="text/javascript" src="{% static 'app/scripts/admin/displayMarketSessionInfo.js' %}"></script>

    <script type="text/javascript">
        var ACTION_URL = "{{ ACTION_URL }}";
        var username = "{{ username }}";
        var actor_id = "{{ actor_id }}";
        var INVOICES_URL = "{{ USER_IT_LOAD_INVOICES }}";
        var form = "{{ form }}";
        var MARKET_ACTOR_URL = "{{ MARKET_ACTOR_URL }}";
        var MARKETSESSION_URL = "{{ MARKETSESSION_URL }}";
        var USERNAME_TO_ACTOR = "{{ USERNAME_TO_ACTOR }}";

        var registeredMarket = getUserRegisteredMarketByForm(user_markets, form);

        $(document).ready(function(){
            $(".vertical_tab").removeClass("active");
            $(".tab-pane").removeClass("active");
            $("#itLoad_tab").addClass("active");
            $("#itLoad_invoice").addClass("active");
        });
    </script>

{% endblock %}
